Subject: RE: OpenSSH 2.9p2-2 w/ Cygwin 1.3.2-1 doesn't background?
From: "Pilkington, Christopher J." <[email-masked]>
To: "'Karl M'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 18 Jul 2001 10:32:15 -0400

Thanks, Karl.  It seems the patch works with 2.9p2-2 also.  I'm not
experiencing the hanging problem anymore.

Christopher

-----Original Message-----
From: Karl M [mailto:[email-masked]]
Sent: Tuesday, July 17, 2001 7:11 PM
To: [email-masked]
Subject: Re: OpenSSH 2.9p2-2 w/ Cygwin 1.3.2-1 doesn't background?

Hi All...

I posted a workaround patch for OpenSSH 2.9p1 on 26 May, titled "ssh 
hanging--a workaround", for this particular problem. I have not looked at 
2.9p2-2 yet to see if it is still valid, but I expect that it is fine. Give 
it a try, or I will take a look at it in the next couple of weeks.

There are a couple of hanging problems for OpenSSH. This particular one, I 
found to be a problem with the ssh client select call. I think that Corinna 
told me that it looked like a CygWin problem (the select call hangs if you 
have done a fork() in ssh) and not an ssh problem.

Thanks,

...Karl

>From: "Christopher J. Pilkington" <[email-masked]>
>To: <[email-masked]>
>Subject: OpenSSH 2.9p2-2 w/ Cygwin 1.3.2-1 doesn't background?
>Date: Tue, 17 Jul 2001 08:28:46 -0400 (EDT)
>
>Using OpenSSH 2.9p2-2 with Cygwin 1.3.2-1 under Windows 2000 sp 1, it
>seems that ssh will not execute while it is in the background, either by
>the "-f" option or by "&".
>
>I saw a post earlier about this problem from another user, but no solution
>posted.
>
>Does anyone have a similar problem?  Does anyone know how to resolve it?
>
>Christopher
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/